com.verisign.epp.codec.registry.v02

## Class EPPRegistryContactName

- java.lang.Object
- - com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax
  - - com.verisign.epp.codec.registry.v02.EPPRegistryContactName

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryContactName
      extends EPPRegistryAbstractMinMax

  Represents the minimum and maximum length of <contact:name> element defined RFC 5733 using the <registry:minLength> and <registry:maxLength> child elements, respectively.
  See Also:
    `EPPRegistryPostal`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPRegistryContactName`.
    `static java.lang.String` | `ELM_NAME` XML root tag for `EPPRegistryContactCity`.

    - ### Fields inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax

      `ELM_MAX, ELM_MAX_LENGTH, ELM_MIN, ELM_MIN_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryContactName()` Creates a new `EPPRegistryContactName` object.
    `EPPRegistryContactName(java.lang.Integer aMin, java.lang.Integer aMax)` Creates a new `EPPRegistryContactName` object that takes both the minimum and maximum values as `Integer`'s.
    `EPPRegistryContactName(int aMin, int aMax)` Creates a new `EPPRegistryContactName` object that takes both the minimum and maximum values as `int`'s.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getElmMax()` Gets the maximum element local name.
    `protected java.lang.String` | `getElmMin()` Gets the minimum element local name.
    `protected org.apache.log4j.Logger` | `getLogger()` Gets the `Logger` to use.
    `protected java.lang.String` | `getRootName()` Gets the root element local name.

    - ### Methods inherited from class com.verisign.epp.codec.registry.v02.EPPRegistryAbstractMinMax

      `clone, decode, encode, equals, getMax, getMin, getNamespace, setMax, setMin, toString, validateState`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPRegistryContactName`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPRegistryContactCity`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPRegistryContactName

          public EPPRegistryContactName()

      Creates a new `EPPRegistryContactName` object.

    - #### EPPRegistryContactName

          public EPPRegistryContactName(java.lang.Integer aMin,
                                        java.lang.Integer aMax)

      Creates a new `EPPRegistryContactName` object that takes both the minimum and maximum values as `Integer`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

    - #### EPPRegistryContactName

          public EPPRegistryContactName(int aMin,
                                        int aMax)

      Creates a new `EPPRegistryContactName` object that takes both the minimum and maximum values as `int`'s.
      Parameters:
        `aMin` - Minimum value
        `aMax` - Maximum value

  - ### Method Detail

    - #### getRootName

          protected java.lang.String getRootName()

      Gets the root element local name.
      Specified by:
        `getRootName` in class `EPPRegistryAbstractMinMax`
      Returns:
        Root element local name.

    - #### getElmMin

          protected java.lang.String getElmMin()

      Gets the minimum element local name.
      Specified by:
        `getElmMin` in class `EPPRegistryAbstractMinMax`
      Returns:
        Minimum element local name.

    - #### getElmMax

          protected java.lang.String getElmMax()

      Gets the maximum element local name.
      Specified by:
        `getElmMax` in class `EPPRegistryAbstractMinMax`
      Returns:
        Maximum element local name.

    - #### getLogger

          protected org.apache.log4j.Logger getLogger()

      Gets the `Logger` to use.
      Specified by:
        `getLogger` in class `EPPRegistryAbstractMinMax`
      Returns:
        `Logger` instance to use for logging.